org.apache.avro.ipc.jetty

## Class StaticServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.eclipse.jetty.servlet.DefaultServlet
      - - org.apache.avro.ipc.jetty.StaticServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, org.eclipse.jetty.server.ResourceService.WelcomeFactory, org.eclipse.jetty.util.resource.ResourceFactory

    public class StaticServlet
    extends org.eclipse.jetty.servlet.DefaultServlet

Very simple servlet class capable of serving static files.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.eclipse.jetty.servlet.DefaultServlet

`CONTEXT_INIT`

### Constructor Summary

Constructors
Constructor and Description
`StaticServlet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.jetty.util.resource.Resource` `getResource(String pathInContext)`

### Methods inherited from class org.eclipse.jetty.servlet.DefaultServlet

`destroy, doGet, doHead, doOptions, doPost, doTrace, getInitParameter, getWelcomeFile, init, initContextHandler`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doPut, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StaticServlet

    public StaticServlet()

### Method Detail

#### getResource

    public org.eclipse.jetty.util.resource.Resource getResource(String pathInContext)

Specified by:
  `getResource` in interface `org.eclipse.jetty.util.resource.ResourceFactory`
Overrides:
  `getResource` in class `org.eclipse.jetty.servlet.DefaultServlet`